Subject: Re: Debug kernel ELF using SDS single-step debugger

From: Dan Malek <[email-masked]>
Date: Wed, 13 Mar 2002 17:23:41 -0500

Leiying Du wrote:

> When I run the kernel ELF, I always get this error message "Couldn't find
> 4096 bytes at 4096 alignment".

Well, you can't run the kernel ELF image (vmlinux) directly.  This error
is because you are not telling the kernel information it needs to know
from start up parameters.  These are provided by some form of bootloader.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/